## org.apache.tools.ant.attribute
Class IfBlankAttribute.Unless

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.attribute.BaseIfAttribute
              org.apache.tools.ant.attribute.IfBlankAttribute
                  org.apache.tools.ant.attribute.IfBlankAttribute.Unless

All Implemented Interfaces:
  java.lang.Cloneable, EnableAttribute

Enclosing class:
  IfBlankAttribute

    public static class IfBlankAttribute.Unless

extends IfBlankAttribute

The unless version

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.tools.ant.attribute.IfBlankAttribute
`IfBlankAttribute.Unless`

Field Summary

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`IfBlankAttribute.Unless()`

Method Summary

Methods inherited from class org.apache.tools.ant.attribute.IfBlankAttribute
`isEnabled`

Methods inherited from class org.apache.tools.ant.attribute.BaseIfAttribute
`convertResult, getParams, isPositive, setPositive`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IfBlankAttribute.Unless

    public IfBlankAttribute.Unless()